.image-with-block {
    padding-top: var(--padding-top-desktop);
    padding-bottom: var(--padding-bottom-desktop);
    background-color: var(--background-color);
}
.image-with-block * {
    color: var(--text-color);
}
.image-with-block-item.render-image *{
    color: #ffffff;
}
.image-with-block-header h2.heading {
    font-size: var(--heading-size-desktop);
    line-height: 1.273;
    color: var(--heading-color);
    text-align: center;
    letter-spacing: 0;
}
.image-with-block-header h2.heading+.richtext {
    margin-top: 18px;
}
.image-with-block-header .richtext {
    font-size: var(--richtext-size-desktop);
    line-height: 1.4;
    max-width: 670px;
    margin: 0 auto;
    text-align: center;
    color: var(--richtext-color);
}
.image-with-block-header .richtext * {
    margin: 0;
    color: var(--richtext-color);
}
.image-with-block-header+.image-with-block-body {
    margin-top: 50px;
}
.image-with-block-list ul {
    margin: 0;
    padding: 0;
    list-style: none;
}
.image-with-block-list ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
}
.image-with-block-list ul li {
    width: calc(33.33% - 0px * 2 / 3);
}
.image-with-block-item {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
}
.image-with-block__image-box {
    width: 100%;
    height: 100%;
    position: relative;
}
.image-with-block__image-box img{
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}
.image-with-block__image-box svg.empty-image-class{
    width: 100%;
    height: 100%;
    display: block;
    border: 1px solid #707070;
}
.image-with-block__content-box {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    padding: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 20px;
    background: #00000040;
    backdrop-filter: blur(20px) saturate(160%);
    -webkit-backdrop-filter: blur(20px) saturate(160%);
    opacity: 0;
    visibility: hidden;
    transition: all 0.4s ease;
}
.active .image-with-block__content-box {
    opacity: 1;
    visibility: visible;
    transition: all 0.4s ease;
}
.image-with-block__content-box h2 {
    font-size: 32px;
    line-height: 1.28;
    color: currentColor;
}
.image-with-block__content-box .text p {
    margin: 0;
    color: currentColor;
}
.image-with-block__content-box .text {
    font-size: 20px;
    line-height: 1.472;
    text-align: center;
    letter-spacing: 0;
    color: currentColor;
}
.image-with-block-item button.toggle-btn {
    position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 0;
    background: rgba(0, 0, 0, 0.2);
    transform: rotate(-45deg);
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    top: 20px;
    right: 20px;
    cursor: pointer;
    background: #00000014;
    backdrop-filter: blur(20px) saturate(160%);
    -webkit-backdrop-filter: blur(20px) saturate(160%);
    transition: transform 0.3s ease;
}
.image-with-block-item.active button.toggle-btn {
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}
.image-with-block-item button.toggle-btn svg{
    width: 30px;
    height: 30px;
}
.image-with-block__image-box .content-overlay {
    position: absolute;
    bottom: 20px;
    left: 25px;
    right: 25px;
    width: calc(100% - 50px);
    opacity: 1;
    visibility: visible;
    transition: all 0.4s ease;
}
.image-with-block__image-box .content-overlay h2 {
    font-size: 32px;
    line-height: 1.28;
    color: currentColor;
}
.active .image-with-block__image-box .content-overlay {
    opacity: 0;
    visibility: hidden;
    transition: all 0.4s ease;
}

@media(max-width:1200px){
    .image-with-block__content-box {
        padding: 10px;
        gap: 10px;
    }
    .image-with-block__content-box h2,
    .image-with-block__image-box .content-overlay h2 {
        font-size: 22px;
    }
    .image-with-block__content-box .text {
        font-size: 15px;
    }
}

@media(max-width:991px){
    .image-with-block {
        padding-top: var(--padding-top-mobile);
        padding-bottom: var(--padding-bottom-mobile);
    }
    .image-with-block-item button.toggle-btn {
        width: 30px;
        height: 30px;
        top: 20px;
        right: 20px;
    }
    .image-with-block-item button.toggle-btn svg {
        width: 18px;
        height: 18px;
    }
    .image-with-block__image-box .content-overlay {
        left: 20px;
        right: 20px;
        bottom: 12px;
        width: calc(100% - 40px);
    }

}

@media(max-width:767px){
    .image-with-block-list ul li {
        width: 100%;
    }
    .image-with-block-list ul {
        gap: 0;
    }
    .image-with-block__image-box {
        padding-top: 80.5%;
    }
    .image-with-block__image-box img {
        width: 100%;
        height: 100%;
        display: block;
        object-fit: cover;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
    }
    .image-with-block__content-box h2,
    .image-with-block__image-box .content-overlay h2 {
        font-size: 20px;
    }
    .image-with-block__content-box .text {
        font-size: 12px;
        line-height: 1.88;
    }
    .image-with-block__content-box {
        padding: 10px 20px;
        gap: 4px;
    }
}